
function initBottomLine() 
{
  var pref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
  var prefService = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("");
  try {
    if(!prefService.prefHasUserValue("extensions.espnbl.nfl_sc"))
      prefService.setBoolPref("extensions.espnbl.nfl_sc", true);
    if(!prefService.prefHasUserValue("extensions.espnbl.nfl_nw"))
      prefService.setBoolPref("extensions.espnbl.nfl_nw", true);

    if(!prefService.prefHasUserValue("extensions.espnbl.mlb_sc"))
      prefService.setBoolPref("extensions.espnbl.mlb_sc", true);
    if(!prefService.prefHasUserValue("extensions.espnbl.mlb_nw"))
      prefService.setBoolPref("extensions.espnbl.mlb_nw", true);

    if(!prefService.prefHasUserValue("extensions.espnbl.nba_sc"))
      prefService.setBoolPref("extensions.espnbl.nba_sc", true);
    if(!prefService.prefHasUserValue("extensions.espnbl.nba_nw"))
      prefService.setBoolPref("extensions.espnbl.nba_nw", true);

    if(!prefService.prefHasUserValue("extensions.espnbl.colfb_sc"))
      prefService.setBoolPref("extensions.espnbl.colfb_sc", true);
    if(!prefService.prefHasUserValue("extensions.espnbl.colfb_nw"))
      prefService.setBoolPref("extensions.espnbl.colfb_nw", true);

    if(!prefService.prefHasUserValue("extensions.espnbl.nhl_sc"))
      prefService.setBoolPref("extensions.espnbl.nhl_sc", true);
    if(!prefService.prefHasUserValue("extensions.espnbl.nhl_nw"))
      prefService.setBoolPref("extensions.espnbl.nhl_nw", true);

    if(!prefService.prefHasUserValue("extensions.espnbl.golf_sc"))
      prefService.setBoolPref("extensions.espnbl.golf_sc", true);
    if(!prefService.prefHasUserValue("extensions.espnbl.golf_nw"))
      prefService.setBoolPref("extensions.espnbl.golf_nw", true);

    if(!prefService.prefHasUserValue("extensions.espnbl.rpm_sc"))
      prefService.setBoolPref("extensions.espnbl.rpm_sc", true);
    if(!prefService.prefHasUserValue("extensions.espnbl.rpm_nw"))
      prefService.setBoolPref("extensions.espnbl.rpm_nw", true);

    if(!prefService.prefHasUserValue("extensions.espnbl.mcolbb_sc"))
      prefService.setBoolPref("extensions.espnbl.mcolbb_sc", true);
    if(!prefService.prefHasUserValue("extensions.espnbl.mcolbb_nw"))
      prefService.setBoolPref("extensions.espnbl.mcolbb_nw", true);
      
    if(!prefService.prefHasUserValue("extensions.espnbl.wcolbb_sc"))
      prefService.setBoolPref("extensions.espnbl.wcolbb_sc", true);
    if(!prefService.prefHasUserValue("extensions.espnbl.wcolbb_nw"))
      prefService.setBoolPref("extensions.espnbl.wcolbb_nw", true);     
      
    if(!prefService.prefHasUserValue("extensions.espnbl.tennis_sc"))
      prefService.setBoolPref("extensions.espnbl.tennis_sc", true);
    if(!prefService.prefHasUserValue("extensions.espnbl.tennis_nw"))
      prefService.setBoolPref("extensions.espnbl.tennis_nw", true);       

    if(!prefService.prefHasUserValue("extensions.espnbl.usasoc_sc"))
      prefService.setBoolPref("extensions.espnbl.usasoc_sc", true);
    if(!prefService.prefHasUserValue("extensions.espnbl.usasoc_nw"))
      prefService.setBoolPref("extensions.espnbl.usasoc_nw", true);         

    if(!prefService.prefHasUserValue("extensions.espnbl.intlsoc_sc"))
      prefService.setBoolPref("extensions.espnbl.intlsoc_sc", true);
    if(!prefService.prefHasUserValue("extensions.espnbl.intlsoc_nw"))
      prefService.setBoolPref("extensions.espnbl.intlsoc_nw", true);  

    if(!prefService.prefHasUserValue("extensions.espnbl.uksoc_sc"))
      prefService.setBoolPref("extensions.espnbl.uksoc_sc", true);
    if(!prefService.prefHasUserValue("extensions.espnbl.uksoc_nw"))
      prefService.setBoolPref("extensions.espnbl.uksoc_nw", true);  

    if(!prefService.prefHasUserValue("extensions.espnbl.eurosoc_sc"))
      prefService.setBoolPref("extensions.espnbl.eurosoc_sc", true);
    if(!prefService.prefHasUserValue("extensions.espnbl.eurosoc_nw"))
      prefService.setBoolPref("extensions.espnbl.eurosoc_nw", true);        

    if(!prefService.prefHasUserValue("extensions.espnbl.state"))
      prefService.setBoolPref("extensions.espnbl.state", true);
  } catch (e) { alert(e); }

	if (pref.getBoolPref("extensions.espnbl.state")) {
		setTimeout("hideIfTooSmall();",100);
		var srcString = "chrome://espnbl/content/blholder.html?" + buildNixString();
		document.getElementById('espnbl-iframe').setAttribute('src',srcString);
	}
	else hideBottomLine();
}

function hideIfTooSmall()
{
	if (window.innerWidth < 640) hideBottomLine();
	//alert(window.innerWidth);
}

function buildNixString()
{
	var pref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
	//nfl,mlb,nba,ncf,nhl,GOLF,RPM,ncb,ncw,TENNIS,USASOC,INTLSOC,UKSOC,EUROSOC,WNBA,USA%20SOC,%

	var news = "nixnews=,";
	var scores = "nixscores=,";
	try {
	if (!pref.getBoolPref("extensions.espnbl.nfl_sc")) scores += "nfl,";
	if (!pref.getBoolPref("extensions.espnbl.nfl_nw")) news += "nfl,";

	if (!pref.getBoolPref("extensions.espnbl.mlb_sc")) scores += "mlb,";
	if (!pref.getBoolPref("extensions.espnbl.mlb_nw")) news += "mlb,";

	if (!pref.getBoolPref("extensions.espnbl.nba_sc")) scores += "nba,";
	if (!pref.getBoolPref("extensions.espnbl.nba_nw")) news += "nba,";

	if (!pref.getBoolPref("extensions.espnbl.colfb_sc")) scores += "ncf,";
	if (!pref.getBoolPref("extensions.espnbl.colfb_nw")) news += "ncf,";

	if (!pref.getBoolPref("extensions.espnbl.nhl_sc")) scores += "nhl,";
	if (!pref.getBoolPref("extensions.espnbl.nhl_nw")) news += "nhl,";

	if (!pref.getBoolPref("extensions.espnbl.golf_sc")) scores += "GOLF,";
	if (!pref.getBoolPref("extensions.espnbl.golf_nw")) news += "GOLF,";

	if (!pref.getBoolPref("extensions.espnbl.rpm_sc")) scores += "RPM,";
	if (!pref.getBoolPref("extensions.espnbl.rpm_nw")) news += "RPM,";

	if (!pref.getBoolPref("extensions.espnbl.mcolbb_sc")) scores += "ncb,";
	if (!pref.getBoolPref("extensions.espnbl.mcolbb_nw")) news += "ncb,";

	if (!pref.getBoolPref("extensions.espnbl.wcolbb_sc")) scores += "ncw,";
	if (!pref.getBoolPref("extensions.espnbl.wcolbb_nw")) news += "ncw,";

	if (!pref.getBoolPref("extensions.espnbl.tennis_sc")) scores += "TENNIS,";
	if (!pref.getBoolPref("extensions.espnbl.tennis_nw")) news += "TENNIS,";

	if (!pref.getBoolPref("extensions.espnbl.usasoc_sc")) scores += "USASOC,";
	if (!pref.getBoolPref("extensions.espnbl.usasoc_nw")) news += "USASOC,";

	if (!pref.getBoolPref("extensions.espnbl.intlsoc_sc")) scores += "INTLSOC,";
	if (!pref.getBoolPref("extensions.espnbl.intlsoc_nw")) news += "INTLSOC,";

	if (!pref.getBoolPref("extensions.espnbl.uksoc_sc")) scores += "UKSOC,";
	if (!pref.getBoolPref("extensions.espnbl.uksoc_nw")) news += "UKSOC,";

	if (!pref.getBoolPref("extensions.espnbl.eurosoc_sc")) scores += "EUROSOC,";
	if (!pref.getBoolPref("extensions.espnbl.eurosoc_nw")) news += "EUROSOC,";

	news += "WNBA,USA%20SOC,";
	scores += "WNBA,USA%20SOC,";
	
	} catch (e) {}
	return (news + '&' + scores);
	//return "nixnews=,GOLF,RPM,ncw,TENNIS,USASOC,INTLSOC,UKSOC,EUROSOC,WNBA,USA%20SOC,&nixscores=,GOLF,RPM,ncw,TENNIS,USASOC,INTLSOC,UKSOC,EUROSOC,WNBA,USA%20SOC,";
}

function espnblOptions()
{
	openDialog("chrome://espnbl/content/options.xul", "", "chrome,modal");
	//refreshBottomLine();
	//alert("espnblOptions");
}

function toggleBottomLine()
{
	var state = document.getElementById('espnbl-hbox').getAttribute('hidden');
	var prefService = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("");
	//alert("state = " + state);
	if (state == 'true') {
		document.getElementById('espnbl-hbox').setAttribute('hidden','false');
		document.getElementById('toggle_espnbl').setAttribute('checked','true');
		prefService.setBoolPref("extensions.espnbl.state", true);
	}
	else {
		document.getElementById('espnbl-hbox').setAttribute('hidden','true');
		document.getElementById('toggle_espnbl').setAttribute('checked','false');
		prefService.setBoolPref("extensions.espnbl.state", false);
	}
}

function hideBottomLine()
{
	document.getElementById('espnbl-hbox').setAttribute('hidden','true');
	document.getElementById('toggle_espnbl').setAttribute('checked','false');
}

function refreshBottomLine()
{
	var srcString = "chrome://espnbl/content/blholder.html?" + buildNixString();
	document.getElementById('espnbl-iframe').setAttribute('src','about:blank');
	document.getElementById('espnbl-iframe').setAttribute('src',srcString);
	//document.getElementById('espnbl-hbox').setAttribute('hidden','true');
	//document.getElementById('espnbl-hbox').setAttribute('hidden','false');
}

function launchESPN() 
{
	//browser.link.open_external
	// 2 = a new window
	// 3 = a new tab in most recent window
	// 1 = most recent tab/window
	var pref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
	var target = 1;
	try {
		target = pref.getIntPref("browser.link.open_external");
	} catch (e) { target = 1; }

	switch (target) {
		case 2:
			openNewWindowWith("http://espn.go.com", null, null);
			break;
		case 3:
			openNewTabWith("http://espn.go.com", null, null);
			break;
		case 1:
		default:
    			loadURI("http://espn.go.com", null, null);
    			break;
 	}
}